"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  digest: () => digest,
  generateSalt: () => generateSalt
});
module.exports = __toCommonJS(src_exports);

// src/crypto.ts
var import_crypto = require("crypto");
var generateSalt = (length) => {
  if (length <= 0) {
    return "";
  }
  const saltBytes = (0, import_crypto.randomBytes)(length);
  const salt = saltBytes.toString("hex");
  return salt.substring(0, length);
};
var digest = (data, algorithm = "SHA-256") => {
  const nodeAlg = toNodeCryptoAlg(algorithm);
  const hash = (0, import_crypto.createHash)(nodeAlg);
  hash.update(data);
  const hashBuffer = hash.digest();
  return new Uint8Array(hashBuffer);
};
var toNodeCryptoAlg = (hashAlg) => hashAlg.replace("-", "").toLowerCase();
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  digest,
  generateSalt
});
